Commit 8d3b1210 authored by Dylan Baker's avatar Dylan Baker

meson: Don't allow glx to be built without platform_x11

Previously this failed to change with_glx to disabled from auto if
platform_x11 was unset or if no opengl apis were being built.

v2: - swap conditional positions
Signed-off-by: default avatarDylan Baker <dylanx.c.baker@intel.com>
Reviewed-and-Tested-by: default avatarEric Engestrom <eric@engestrom.ch>
parent 8792a9e0
......@@ -157,8 +157,12 @@ endif
pre_args += '-DGLX_USE_TLS'
with_glx = get_option('glx')
if with_glx != 'disabled'
if not (with_platform_x11 and with_any_opengl) and with_glx != 'auto'
error('Cannot build GLX support without X11 platform support and at least one OpenGL API')
if not (with_platform_x11 and with_any_opengl)
if with_glx == 'auto'
with_glx = 'disabled'
else
error('Cannot build GLX support without X11 platform support and at least one OpenGL API')
endif
elif with_glx == 'gallium-xlib'
if not with_gallium
error('Gallium-xlib based GLX requires at least one gallium driver')
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment